Kerbal Space Program - Bug #15389

MET Timer weirdness - does not switch back from UT, advances to end of days, persists across
savegames in a session

05/27/2017 08:28 PM - swijr-swis

Status: Closed Start date: 05/27/2017
Severity: Normal % Done: 100%
Assignee: Julioz

Category: Controls and Ul

Target version: Not Applicable

Version: 1.3.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

1.3.0.1804 Win x64 (tested in en-us and es-es)

There is something weird going on with the MET time in Flight View:

- when clicking the MET/UT toggle, it does not switch back from UT anymore

- once this has been done, when reloading, it advances to the end of days (year 999, day 499, 05:59:59)
- the error then persists across savegames in a game session

A video recording to show these errors more clearly: https:/youtu.be/JvgjebbexvQ

Repro steps:

- start a new game

- load a new/stock craft onto the launchpad or runway

- click the MET top left to switch to UT - confirm it changes to UT

- click again to switch back to MET - the button changes to 'MET", but the timer string stays in UT.
- click any number of times to confirm it is now stuck this way.

- revert out all the way to the main menu

- load a different game, or start a new one

- load a new/stock craft onto the launchpad or runway

- notice the MET timer has advanced to the end of days

- click the MET top left to switch to UT - confirm it changes to UT

- click again to switch back to MET - the button changes to 'MET', but the timer string stays in UT, and is now stuck, as before.

History

#1 - 06/07/2017 06:03 PM - Julioz
- Status changed from New to Being Worked On
- Assignee set to Julioz

- % Done changed from 0 to 30

#2 - 06/08/2017 06:23 PM - Julioz
- Status changed from Being Worked On to Ready to Test
- Target version set to Not Applicable

- % Done changed from 30 to 80

#3 - 06/21/2017 08:19 AM - DomiKamu
Hi,
I've added some additional informations about this bug: [[

http://forum.kerbalspaceprogram.com/index.php?/topic/162247-crash-and-curruped-savefile-after-switchin
I've discovered this bug tracker)

-vessel-in-tracking-station-ksp130/]] (prior

Also, the displayed date/time is badly formatted:
https://youtu.be/JvqjebbexvQ
http://forum.kerbalspaceprogram.com/index.php?/topic/162247-crash-and-curruped-savefile-after-switching-vessel-in-tracking-station-ksp130/

- Why "Years" (instead of "Year").

- No space between "Day" string and its number (it's ugly). Eg Day1 (instead of Day 1).

- No space between day number and "-". Eg "Day1-" instead of "Day 1 -" (more readable)
Dominique

#5 - 08/25/2017 06:13 AM - swjr-swis

- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

1.3.1.1836 Win x64 (EN and ES)

Confirmed solved in 1836 pre-release build.

#6 - 06/21/2018 11:23 PM - joshua.collins

- Status changed from Resolved to Closed
